mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker Class Reference

Simple auxiliary class used to walk through a buffer and search for KV tokens. More...

## Public Member Functions

def | __init__ (self)
def | append (self, payload)
| Append stream buffer with payload and process. More...
def | search (self)
| Check if there is a KV value in buffer. More...
def | pop_kv (self)

## Public Attributes

| KIVI_REGEX
| buff
| kvl
| re_kv

## Detailed Description

Simple auxiliary class used to walk through a buffer and search for KV tokens.

Definition at line 35 of file conn_proxy.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.__init__ | ( |  | self | ) |

Definition at line 37 of file conn_proxy.py.

## Member Function Documentation

## append()

def mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.append | ( |  | self,
|  |  | payload
| ) |  |

Append stream buffer with payload and process.

Returns non-KV strings

Definition at line 43 of file conn_proxy.py.

## pop_kv()

def mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.pop_kv | ( |  | self | ) |

Definition at line 81 of file conn_proxy.py.

## search()

def mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.search | ( |  | self | ) |

Check if there is a KV value in buffer.

Definition at line 77 of file conn_proxy.py.

## Member Data Documentation

## buff

mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.buff

Definition at line 39 of file conn_proxy.py.

## KIVI_REGEX

mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.KIVI_REGEX

Definition at line 38 of file conn_proxy.py.

## kvl

mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.kvl

Definition at line 40 of file conn_proxy.py.

## re_kv

mbed_host_tests.host_tests_conn_proxy.conn_proxy.KiViBufferWalker.re_kv

Definition at line 41 of file conn_proxy.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_conn_proxy/conn_proxy.py